# Shortcuts

This doc provides a quick reference to common default shortcuts to streamline your workflow in IDA. You can configure and customize shortcuts via Options → [Shortcuts...](/ida-actions/shortcuteditor.md).

***

## Navigation

| Action                       | Shortcut     |
| ---------------------------- | ------------ |
| Jump to Operand              | `Enter`      |
| Jump in a New Window         | `Alt+Enter`  |
| Jump to Previous Position    | `Esc`        |
| Jump to Next Position        | `Ctrl+Enter` |
| Jump to Address              | `G`          |
| Jump by Name                 | `Ctrl+L`     |
| Jump to Function             | `Ctrl+P`     |
| Open Cross-References Window | `X`          |
| View Pseudocode              | `Tab`        |
| Jump to Segment              | `Ctrl+S`     |
| Jump to Segment Register     | `Ctrl+G`     |
| Jump to Problem              | `Q`          |
| Jump to Entry Point          | `Ctrl+E`     |

***

## Bookmarks

| Action                | Shortcut       |
| --------------------- | -------------- |
| Mark Position         | `Alt+M`        |
| Jump to Bookmark      | `Ctrl+M`       |
| Open Bookmarks Window | `Ctrl+Shift+M` |

***

## Search

| Action                      | Shortcut |
| --------------------------- | -------- |
| Search Text                 | `Alt+T`  |
| Search Next Text            | `Ctrl+T` |
| Search Sequence of Bytes    | `Alt+B`  |
| Search Immediate Value      | `Alt+I`  |
| Search Next Immediate Value | `Ctrl+I` |
| Search Next Code            | `Alt+C`  |
| Search Next Data            | `Ctrl+D` |

***

## Debugging

| Action            | Shortcut     |
| ----------------- | ------------ |
| Add Breakpoint    | `F2`         |
| Start Process     | `F9`         |
| Terminate Process | `Ctrl+F2`    |
| Step Into         | `F7`         |
| Step Over         | `F8`         |
| Run Until Return  | `Ctrl+F7`    |
| Breakpoint List   | `Ctrl+Alt+B` |
| View Stack Trace  | `Ctrl+Alt+S` |

***

## Operands

| Action                            | Shortcut |
| --------------------------------- | -------- |
| Change to Hexadecimal             | `Q`      |
| Change to Decimal                 | `H`      |
| Change to Binary                  | `B`      |
| Change to Character               | `R`      |
| Change Enum Member                | `Ctrl+O` |
| Change to Offset (data segment)   | `O`      |
| Change to Offset (in any segment) | `Alt+R`  |
| Change to Offset (user-defined)   | `Ctrl+R` |
| Select Union Member               | `T`      |
| Change to Stack Variable          | `K`      |
| Bitwise Negate                    | `~`      |
| Change Sign                       | `_`      |

***

## Function Management

| Action                      | Shortcut |
| --------------------------- | -------- |
| Create Function             | `P`      |
| Edit Function               | `Alt+P`  |
| Set Function End            | `E`      |
| Edit Stack Variables        | `Ctrl+K` |
| Set Type                    | `Y`      |
| Open Stack Variables Window | `Ctrl+K` |

***

## Annotate

| Action                   | Shortcut    |
| ------------------------ | ----------- |
| Annotate (Rename)        | `N`         |
| Enter Repeatable Comment | `;`         |
| Enter Comment            | `:`         |
| Insert Line Before       | `Ins`       |
| Insert Line After        | `Shift+Ins` |
| Enter Anterior Lines     | `Alt+Q`     |
| Enter Posterior Lines    | `Alt+A`     |

## Open Subviews

| Subview           | Shortcut    |
| ----------------- | ----------- |
| Local Types       | `Shift+F1`  |
| Functions         | `Shift+F3`  |
| Names             | `Shift+F4`  |
| Signatures        | `Shift+F5`  |
| Segments          | `Shift+F7`  |
| Segment Registers | `Shift+F8`  |
| Structures        | `Shift+F9`  |
| Type Libraries    | `Shift+F11` |
| Strings           | `Shift+F12` |

***

## Miscellaneous

| Action          | Shortcut       |
| --------------- | -------------- |
| Undo            | `Ctrl+Z`       |
| Redo            | `Ctrl+Shift+Z` |
| Begin Selection | `Alt+L`        |
| Open Calculator | `?`            |
| Save            | `Ctrl+S`       |
| Exit            | `Alt+X`        |

***

## Get the handy shortcuts cheatsheet

You can download the cheatsheet here:

{% file src="/files/r84HgoPOf1bGE1HhpgPO" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hex-rays.com/core/user-interface/reference/shortcuts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
